︠36ac6e3c-dace-4a5b-8dc2-0246da53fc22︠
def simpleplot(f, range=(-5,5,-5,5)):
  p = plot(f, (x, range[0], range[1]), plot_points=1000)
  p += text("$y = " + latex(f) + "$", (0, range[2] - (range[3] - range[2]) * 0.1), fontsize=30, rgbcolor=(1,0,0))
  p.axes_range(range[0], range[1], range[2], range[3])
  show(p, figsize=12)
  
def inverse_functions(f):
  y = var('y')
  return map(lambda e: e.rhs(), solve(x == f(y), y))
  
def inverse_function(f):
    return inverse_functions(f)[0]
︡644c2ec5-86b2-418e-8f47-07735a33d19d︡︡
︠6d5f3244-1171-43cd-a510-2f7ec14b6824︠
simpleplot(x^3 + 2*x^2)
︡42ddb9e9-72ff-4434-b972-94c731a9d7a2︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
